summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBen Pfaff <blp@ovn.org>2016-02-09 11:44:40 -0800
committerSimon Horman <simon.horman@netronome.com>2019-03-20 09:06:58 +0100
commit60c5e7ac83a61a118f7c0a7ea7d2f1905036e0a5 (patch)
tree8230135905eddd3bdac0e7857240d0a02491c512
parentb5b2d93e2da6db01a4f1d717d43cc139e22ef2b9 (diff)
downloadopenvswitch-60c5e7ac83a61a118f7c0a7ea7d2f1905036e0a5.tar.gz
travis: Automatically recheck failed tests.
This should make the automatic testsuite more reliable on Travis. It's better to fix tests to be more reliable, of course, but in practie it's difficult to make all of them 100% reliable. Signed-off-by: Ben Pfaff <blp@ovn.org> Acked-by: Andy Zhou <azhou@ovn.org> Signed-off-by: Simon Horman <simon.horman@netronome.com>
-rwxr-xr-x.travis/build.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/.travis/build.sh b/.travis/build.sh
index 62281dbba..47ad93a4e 100755
--- a/.travis/build.sh
+++ b/.travis/build.sh
@@ -92,7 +92,7 @@ else
fi
if [ "$TESTSUITE" ] && [ "$CC" != "clang" ]; then
- if ! make distcheck; then
+ if ! make distcheck RECHECK=yes; then
# testsuite.log is necessary for debugging.
cat */_build/tests/testsuite.log
exit 1